# GameAI (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.game.data
Class GameAI

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.parlor.game.data.GameAI

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class GameAI

extends com.threerings.io.SimpleStreamableObject

Represents attributes of an AI player.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`int` `personality` The "personality" of the AI, which can be interpreted by each puzzle.
`int` `skill` The skill level of the AI.

Constructor Summary
`GameAI()` A blank constructor for serialization.
`GameAI(int personality, int skill)` Constructs an AI with the specified (game-interpreted) skill and personality.

Method Summary

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### personality

    public int personality

  The "personality" of the AI, which can be interpreted by each puzzle.

### skill

    public int skill

  The skill level of the AI.

Constructor Detail

### GameAI

    public GameAI()

  A blank constructor for serialization.

### GameAI

    public GameAI(int personality,
                  int skill)

  Constructs an AI with the specified (game-interpreted) skill and personality.

Copyright © 2011. All Rights Reserved.